<![CDATA[ Support/Comments for UpgradeMODX (1.2.0-rc) - MODX Community Forums]]> https://forums.modx.com/thread/?thread=98111 <![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-543502 https://forums.modx.com/thread/99520/revo-2-5-installation-issue-with-method-pear-autoloader-call-in-smarty-class-semisolved

"PEAR_Autoloader does not work in PHP 5, it is deprecated and replaced by the PEAR_Delegator package."
http://pear.php.net/bugs/bug.php?id=4426&edit=3
https://github.com/pear/pear-core/pull/48

FIXED! smiley
https://github.com/modxcms/revolution/issues/12978#issuecomment-234634368]]>
mrhaw Jul 22, 2016, 01:44 PM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-543502
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-543501
Win 7, xampp local, php 5.4

Deprecated: Assigning the return value of new by reference is deprecated in C:\xampp\php\pear\PEAR\Autoloader.php on line 146

Fatal error: Method PEAR_Autoloader::__call() must take exactly 2 arguments in C:\xampp\php\pear\PEAR\Autoloader.php on line 210


Will report back when I figure out how to solve this!]]>
mrhaw Jul 22, 2016, 01:40 PM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-543501
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539859
I agree that permission issues are a good bet, but file and directory permissions depend on how the server is set up. In many cases, making the permissions more permissive makes the files and directories *less* accessible. For example, some servers that want 755 directory permissions will refuse to run PHP files in 777 directories. There could also be file ownership issues.

I don't have a lot of experience with that kind of thing, because I only use MODX-friendly hosts.

Sorry I can't be more help.
]]>
BobRay Mar 22, 2016, 05:59 PM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539859
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539840
The site is currently 2.3.1-pl (traditional), mysql 5.1.73, PHP 5.3.3, Apache 2.0.

It has to be said that I have had issues with permissions on files before when installing plugins - I need to get the IT dept to change settings even though it appears to look like I can change the settings myself via Transmit. I managed to install the plugin with no problems and the widget appeared. When I actually clicked on upgrade, I was asked to set 'core/export/' and 'core/config/config.inc.php' to be writable. I did this via Transmit and proceeded but I got the error message and the site 500'd.

I had to get the IT guys to restore the website, but I was told that after they restored just the config.inc.php file the site became visible again.

So do you have any ideas what might have gone wrong? My best guess is that the 'core/export/' and 'core/config/config.inc.php' were not actually as writable as indicated to me, even though the plugin did proceed normally once I had changed the files to writable.]]>
atype Mar 21, 2016, 09:27 PM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539840
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539536 ]]> BobRay Mar 12, 2016, 11:53 AM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539536 <![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539530

...Sorry for not reading the changelog and your awesome trobleshooting guide. smiley
http://bobsguides.com/upgrade-modx-package.html]]>
mrhaw Mar 11, 2016, 06:15 PM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539530
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539522
It's less secure without it, but since it's just downloading, I don't know how serious a problem it would be. I suppose someone could spoof the MODX or GitHub server and you could download and install a version of MODX with a built-in back door, but it's probably not a high-probability threat.]]>
BobRay Mar 11, 2016, 05:29 PM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539522
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539515 mrhaw Mar 11, 2016, 10:34 AM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539515 <![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539514
]]>
mrhaw Mar 11, 2016, 10:25 AM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=8#dis-post-539514
<![CDATA[Re: Support/Comments for UpgradeMODX (1.2.0-rc)]]> https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=7#dis-post-539500 Quote from: BobRay at Mar 11, 2016, 12:52 AM
The new release is available now. I hope it does what you want. wink

Thanks Bob thats great, will try it on the next upgrade.]]>
paulp Mar 11, 2016, 01:50 AM https://forums.modx.com/thread/98111/support-comments-for-upgrademodx-1-0-2-beta1?page=7#dis-post-539500